RubyGems Navigation menu

publisher 1.1.0

FEATURES/PROBLEMS: * Nice syntax for declaring events that can be subscribed for * Convenient event firing syntax * Subscribe / unsubscribe functionality * Several method name aliases give you the flexibility to make your code more readable (eg, fire, notify, emit) == SYNOPSIS: require 'rubygems' require 'publisher' class CustomerListHolder extend Publisher can_fire :customer_added, :list_cleared

Versiones:

  1. 1.1.2 - September 27, 2011 (9 KB)
  2. 1.1.1 - July 25, 2009 (9 KB)
  3. 1.1.0 - July 25, 2009 (8 KB)

dependencias de Runtime (1):

Autores:

  • Atomic Object

Administradores:

SHA 256 checksum:

f3ce98dd8d79259dcdd1285f6676ca2db00a959acb6fe2d9d07ab64564f368ab

Total downloads 12.486

Para esta versión 2.189

Gemfile:
= Copy to clipboard Copied!

instalar:
=

Licencia:

N/D

Required Ruby Version: None

Enlaces: